Bug 1286874 - [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x2c8
Summary: [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x2c8
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4a77d64b4b5cd3109dd8c2cd2cd...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-01 00:59 UTC by Marcos Paulo
Modified: 2016-12-20 16:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 16:27:11 UTC


Attachments (Terms of Use)
File: Xorg.0.log (30.02 KB, text/plain)
2015-12-01 00:59 UTC, Marcos Paulo
no flags Details
File: backtrace (1.10 KB, text/plain)
2015-12-01 00:59 UTC, Marcos Paulo
no flags Details
File: dso_list (383 bytes, text/plain)
2015-12-01 00:59 UTC, Marcos Paulo
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (334 bytes, application/octet-stream)
2015-12-01 00:59 UTC, Marcos Paulo
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.35 KB, application/octet-stream)
2015-12-01 00:59 UTC, Marcos Paulo
no flags Details

Description Marcos Paulo 2015-12-01 00:59:11 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
dmesg:          
executable:     /usr/bin/Xorg
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afb9]
1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f567cfbbb1f]
2: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x4dd2) [0x7f567731bfd2]
3: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x592f) [0x7f567731d7ff]
4: /usr/libexec/Xorg (miCopyRegion+0x1ab) [0x576b4b]
5: /usr/libexec/Xorg (miDoCopy+0x466) [0x5770f6]
6: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x3ee5) [0x7f567731a3b5]
7: /usr/libexec/Xorg (DamageRegionAppend+0x3551) [0x524d81]
8: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (_init+0x7186) [0x7f5677760466]
9: /usr/libexec/Xorg (DRICloseScreen+0x19d9) [0x569999]
10: /usr/libexec/Xorg (DRI2CopyRegion+0x8e) [0x56885e]
11: /usr/libexec/Xorg (DRI2CopyRegion+0x3c0) [0x568c30]
12: /usr/libexec/Xorg (DRI2GetBuffersWithFormat+0xb) [0x568d6b]
13: /usr/libexec/Xorg (DRI2GetParam+0x898) [0x56ab28]
14: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
15: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
16: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f567cfa7580]
17: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
18: ? (?+0x29) [0x29]

Comment 1 Marcos Paulo 2015-12-01 00:59:14 UTC
Created attachment 1100684 [details]
File: Xorg.0.log

Comment 2 Marcos Paulo 2015-12-01 00:59:15 UTC
Created attachment 1100685 [details]
File: backtrace

Comment 3 Marcos Paulo 2015-12-01 00:59:17 UTC
Created attachment 1100686 [details]
File: dso_list

Comment 4 Marcos Paulo 2015-12-01 00:59:18 UTC
Created attachment 1100687 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 5 Marcos Paulo 2015-12-01 00:59:20 UTC
Created attachment 1100688 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 6 Marcos Paulo 2015-12-02 00:36:23 UTC
When requesting the intel driver to use DRI3, I can't see the crashes:

[marcos@localhost glsl]$ cat /etc/X11/xorg.conf.d/30-dri3.conf 
Section "Device"
	Identifier "isrequired"
	Driver "intel"
	Option "AccelMethod" "sna"
	Option "DRI" "3"
#	Driver "modesetting"
#	Option "AccelMethod" "glamor"
#	Option "AccelMethod" "none"
#	Option "ShadowFB" "off"
EndSection


But instead, I get a black window, instead of my shaders. Shouldn't this be the default configuration for Fedora? Just guessing...

Comment 7 rh 2015-12-09 13:40:57 UTC
Description of problem:
I was just using the computer like normal when suddenly the X server vanished.
I cannot remember doing anything extraordinary. I think it happened when I tried to close a window.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afb9]
1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f15b499bb1f]
2: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x4dd2) [0x7f15aed1bfd2]
3: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x592f) [0x7f15aed1d7ff]
4: /usr/libexec/Xorg (miCopyRegion+0x1ab) [0x576b4b]
5: /usr/libexec/Xorg (miDoCopy+0x466) [0x5770f6]
6: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x3ee5) [0x7f15aed1a3b5]
7: /usr/libexec/Xorg (DamageRegionAppend+0x3551) [0x524d81]
8: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (_init+0x7186) [0x7f15af140466]
9: /usr/libexec/Xorg (DRICloseScreen+0x19d9) [0x569999]
10: /usr/libexec/Xorg (DRI2CopyRegion+0x8e) [0x56885e]
11: /usr/libexec/Xorg (DRI2CopyRegion+0x3c0) [0x568c30]
12: /usr/libexec/Xorg (DRI2GetBuffersWithFormat+0xb) [0x568d6b]
13: /usr/libexec/Xorg (DRI2GetParam+0x898) [0x56ab28]
14: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
15: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
16: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f15b4987580]
17: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
18: ? (?+0x29) [0x29]

Comment 8 Fedora End Of Life 2016-11-24 13:51:27 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 16:27:11 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.